/* <<< Start of information >>>                                       */
/* ------------------------------------------------------------------ */
/* This file is part of the xwatch program. Copyright (C) ICCE /      */
/* Karel Kubat 1995. All rights reserved. You are permitted to        */
/* redistribute this package, if you include all unmodified sources   */
/* and all unmodified documentation (including this text). You are    */
/* NOT permitted to distribute files of this package with             */
/* modifications.  See the file COPYING for more information. When in */
/* doubt, mail me at karel@icce.rug.nl.                               */
/* XWatch is maintained by Frank Brokken, frank@icce.rug.nl. If you   */
/* have remarks about bugs or features, please mail Frank.            */
/* ------------------------------------------------------------------ */
/* <<< End of information >>>                                         */

#include "xwatch.h"

void parsegag (char *buf)
{
    char
        *cp,
	str [256];

    if (! *buf)
        return;
        
        
    cp = strtok (buf, "|");
    while (cp && *cp)
    {
        strncpy (str, cp, 255);
        while (isspace (str [0]))
            strcpy (str, str + 1);
        cp = str + strlen (str) - 1;
        while (isspace (*cp) && cp > str)
        {
            *cp = '\0';
            cp--;
        }
        
        if (str [0])
        {
            gagstring = xrealloc (gagstring, (ngagstring + 1) * sizeof (char*));
            gagstring [ngagstring++] = xstrdup (str);
        }
        cp = strtok (NULL, "|");
    }

}
