/* <<< Start of information >>>                                       */
/* ------------------------------------------------------------------ */
/* This file is part of the xwatch program. Copyright (C) ICCE /      */
/* Karel Kubat 1995. All rights reserved. You are permitted to        */
/* redistribute this package, if you include all unmodified sources   */
/* and all unmodified documentation (including this text). You are    */
/* NOT permitted to distribute files of this package with             */
/* modifications.  See the file COPYING for more information. When in */
/* doubt, mail me at karel@icce.rug.nl.                               */
/* XWatch is maintained by Frank Brokken, frank@icce.rug.nl. If you   */
/* have remarks about bugs or features, please mail Frank.            */
/* ------------------------------------------------------------------ */
/* <<< End of information >>>                                         */

#include "xwatch.h"

int parseignore (char *buf, int argc, char **argv)
{
    char
        *cp;

    if (! *buf)
        return (argc);

    cp = strtok (buf, "|");
    while (cp && *cp)
    {   
        int
            idx;
            
        for (idx = 1; idx < argc; idx++)
        {         
            if (!strcmp(cp, argv[idx]))
            {
                argc--;
                memmove(argv + idx, argv + idx + 1, 
		        (argc - idx) * sizeof(char *));
                break;
            }
        }
        cp = strtok(NULL, "|");
    }
    return (argc);
}
