/* <<< Start of information >>>                                       */
/* ------------------------------------------------------------------ */
/* This file is part of the xwatch program. Copyright (C) ICCE /      */
/* Karel Kubat 1995. All rights reserved. You are permitted to        */
/* redistribute this package, if you include all unmodified sources   */
/* and all unmodified documentation (including this text). You are    */
/* NOT permitted to distribute files of this package with             */
/* modifications.  See the file COPYING for more information. When in */
/* doubt, mail me at karel@icce.rug.nl.                               */
/* XWatch is maintained by Frank Brokken, frank@icce.rug.nl. If you   */
/* have remarks about bugs or features, please mail Frank.            */
/* ------------------------------------------------------------------ */
/* <<< End of information >>>                                         */
/*
** File		-	strerror.c
** Description	-	strerror() replacement for Suns
** History	-	05/10/95	Quick hack
** Copyright	-	(c) Arrigo Triulzi, 1995
*/

/*
** RCS Info
*/

static char *rcsid="$Id$";

/*
** Include files
*/

#include <stdio.h>
#include <errno.h>

/*
** Globals
*/

extern char *sys_errlist[];

/*
** Code
*/

char *strerror(int err)
{
    return(sys_errlist[err]);
}

/*
** Function	-	char *strerror(int err)
** Description	-	Returns descriptive string for given err
** Expects	-	err	error code from errno.h
** Returns	-	string from sys_errlist[]
*/
